Subject: Re: [PATCH 7/9] net: mvmdio: add xmdio support

From: Andrew Lunn <[email-masked]>
Date: Wed, 7 Jun 2017 14:12:05 +0200

On Wed, Jun 07, 2017 at 10:38:08AM +0200, Antoine Tenart wrote:
> This patch adds the xMDIO interface support in the mvmdio driver. This
> interface is used in Ethernet controllers on Marvell 370, 7k and 8k (as
> of now). The xSMI interface supported by this driver complies with the
> IEEE 802.3 clause 45 (while the SMI interface complies with the clause
> 22). The xSMI interface is used by 10GbE devices.
> 
> Signed-off-by: Antoine Tenart <[email-masked]>

Hi Antoine

I've only take a quick look, but i don't see anywhere you look at the
register address and see if it has MII_ADDR_C45 to determine if a C45
transaction should be done, or a C22. The MDIO bus can have a mix of
C45 and C22 devices on it, and you need to use the correct transaction
type depending on the target device/address.

	  Andrew